Subject: Re: [PATCH v3 1/2] builtin/remote.c: parse options in 'rename'

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Sat, 05 Mar 2022 15:28:31 +0100

On Thu, Mar 03 2022, Taylor Blau wrote:

> The 'git remote rename' command doesn't currently take any command-line
> arguments besides the existing and new name of a remote, and so has no
> need to call parse_options().

I think nothing needs to change here in the body of the test, but just a
correction: We do in fact use parse_options() here in the pre-image. I.e.:

    git remote -h
    git remote rename -h

I.e. we'll detect "-h", emit the appropriate usage etc.